View Issue Details

IDProjectCategoryView StatusLast Update
0035487LazarusLCLpublic2019-10-25 19:41
ReporterdonovalyAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.2Product Build 
Target VersionFixed in Version2.2 
Summary0035487: not portable symbol warnings in shellctrls.pas
Descriptionwhen recompiling LCL Base I get:

shellctrls.pas(880,70) Warning: Symbol "faSysFile" is not portable
shellctrls.pas(880,81) Warning: Symbol "faHidden" is not portable
TagsNo tags attached.
Fixed in Revisionr62076
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Activities

Bart Broersma

2019-10-17 22:26

developer   ~0118651

These are in a {$if defined(windows) and not defined(wince)} block, so it's fine.

Bart Broersma

2019-10-18 18:54

developer   ~0118667

Suppressed the warnings (inside the Lazarus IDE).

Bart Broersma

2019-10-25 15:02

developer   ~0118802

@donovaly: please close.

donovaly

2019-10-25 17:20

reporter   ~0118805

Many thanks fox fixing.
I don't have permissions to close bugs can't you close?

Bart Broersma

2019-10-25 19:41

developer   ~0118806

Every reporter has the rights to close the issue he/she reported, once the issue has been set to resolved.
You should see a button "Close", it should be there somewhere above " Relationships".

Issue History

Date Modified Username Field Change
2019-05-04 18:39 donovaly New Issue
2019-10-17 22:26 Bart Broersma Note Added: 0118651
2019-10-18 18:54 Bart Broersma Assigned To => Bart Broersma
2019-10-18 18:54 Bart Broersma Status new => resolved
2019-10-18 18:54 Bart Broersma Resolution open => fixed
2019-10-18 18:54 Bart Broersma Fixed in Version => 2.2
2019-10-18 18:54 Bart Broersma Fixed in Revision => r62076
2019-10-18 18:54 Bart Broersma LazTarget => 2.2
2019-10-18 18:54 Bart Broersma Widgetset Win32/Win64 => Win32/Win64
2019-10-18 18:54 Bart Broersma Note Added: 0118667
2019-10-25 15:02 Bart Broersma Note Added: 0118802
2019-10-25 17:20 donovaly Note Added: 0118805
2019-10-25 19:41 Bart Broersma Note Added: 0118806